//CFESGame - [2020-04-13 11:57:46]
#ifndef _CFESGAME_H_
#define _CFESGAME_H_

#include "common.h"
#include "CFEScreen.h"

/*
0012A33C CFESGame::CFESGame()
0012A610 CFESGame::Exit()
0012A384 CFESGame::FreeGameAssets()
0012A5E0 CFESGame::Init()
0012A414 CFESGame::LoadGameAssets()
0012A804 CFESGame::PreRender3D()
0012A614 CFESGame::Process()
0012A7DC CFESGame::Render2D()
0012A7E8 CFESGame::Render2DHUD()
0012A810 CFESGame::Render3D()
0012A364 CFESGame::~CFESGame()
0012A404 CFESGame::~CFESGame()

_ZTV8CFESGame   DCD 0                             ; CFESGame::CFESGame()+12↑o ...
                DCD 0
off_3221D0      DCD _ZN8CFESGameD2Ev+1            ; CFESGame::~CFESGame()
                DCD _ZN8CFESGameD0Ev+1            ; CFESGame::~CFESGame()
                DCD _ZN8CFESGame4InitEv+1         ; CFESGame::Init()
                DCD _ZN8CFESGame7ProcessEv+1      ; CFESGame::Process()
                DCD _ZN8CFESGame8Render2DEv+1     ; CFESGame::Render2D()
                DCD _ZN8CFESGame11Render2DHUDEv+1 ; CFESGame::Render2DHUD()
                DCD _ZN8CFESGame11PreRender3DEv+1 ; CFESGame::PreRender3D()
                DCD _ZN8CFESGame8Render3DEv+1     ; CFESGame::Render3D()
                DCD _ZN8CFESGame4ExitEv+1         ; CFESGame::Exit()

0x1C
*/

class CFESGame : public CFEScreen {
public:
  CFESGame();           //0012A33C
  virtual ~CFESGame();  //0012A364 //0012A404

  virtual void Exit();            //0012A610
  virtual void FreeGameAssets();  //0012A384
  virtual void Init();            //0012A5E0
  virtual void LoadGameAssets();  //0012A414
  virtual void PreRender3D();     //0012A804
  virtual void Process();         //0012A614
  virtual void Render2D();        //0012A7DC
  virtual void Render2DHUD();     //0012A7E8
  virtual void Render3D();        //0012A810

  bool bPreRender_10;
  //bool unuse_11;
  //bool unuse_12;
  //bool unuse_13;
  int field_14;
  int field_18;
};

#endif  //_CFESGAME_H_